Update a user
curl --request PATCH \
--url https://b.anny.co/api/v1/users/{user_id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/vnd.api+json' \
--data '
{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"name": "<string>",
"first_name": "<string>",
"given_name": "<string>",
"is_operator": true,
"email": "<string>",
"mobile": "<string>",
"locale": "<string>",
"timezone": "<string>",
"lead_source": "<string>",
"position": "<string>",
"cognitor_id": "<string>",
"idp_user_id": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"abilities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"active_organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"profile_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"roles": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"intercom_identity_hash": "<string>",
"intercom_user_id": "<string>",
"community_ids": "<array>"
}
}
}
'import requests
url = "https://b.anny.co/api/v1/users/{user_id}"
payload = { "data": {
"id": "<string>",
"type": "users",
"attributes": {
"name": "<string>",
"first_name": "<string>",
"given_name": "<string>",
"is_operator": True,
"email": "<string>",
"mobile": "<string>",
"locale": "<string>",
"timezone": "<string>",
"lead_source": "<string>",
"position": "<string>",
"cognitor_id": "<string>",
"idp_user_id": "<string>"
},
"links": { "self": "<string>" },
"relationships": {
"abilities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"active_organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
},
"profile_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": { "self": "<string>" }
},
"roles": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": { "self": "<string>" }
}
},
"meta": {
"intercom_identity_hash": "<string>",
"intercom_user_id": "<string>",
"community_ids": "<array>"
}
} }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/vnd.api+json"
}
response = requests.patch(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/vnd.api+json'},
body: JSON.stringify({
data: {
id: '<string>',
type: 'users',
attributes: {
name: '<string>',
first_name: '<string>',
given_name: '<string>',
is_operator: true,
email: '<string>',
mobile: '<string>',
locale: '<string>',
timezone: '<string>',
lead_source: '<string>',
position: '<string>',
cognitor_id: '<string>',
idp_user_id: '<string>'
},
links: {self: '<string>'},
relationships: {
abilities: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
active_organization: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
organization_users: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}},
profile_image: {data: {type: '<string>', id: '<string>'}, links: {self: '<string>'}},
roles: {data: [{type: '<string>', id: '<string>'}], links: {self: '<string>'}}
},
meta: {
intercom_identity_hash: '<string>',
intercom_user_id: '<string>',
community_ids: '<array>'
}
}
})
};
fetch('https://b.anny.co/api/v1/users/{user_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": {
"id": "<string>",
"type": "users",
"attributes": {
"name": "<string>",
"first_name": "<string>",
"given_name": "<string>",
"is_operator": true,
"email": "<string>",
"mobile": "<string>",
"locale": "<string>",
"timezone": "<string>",
"lead_source": "<string>",
"position": "<string>",
"cognitor_id": "<string>",
"idp_user_id": "<string>"
},
"links": {
"self": "<string>"
},
"relationships": {
"abilities": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"active_organization": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"organization_users": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
},
"profile_image": {
"data": {
"type": "<string>",
"id": "<string>"
},
"links": {
"self": "<string>"
}
},
"roles": {
"data": [
{
"type": "<string>",
"id": "<string>"
}
],
"links": {
"self": "<string>"
}
}
},
"meta": {
"intercom_identity_hash": "<string>",
"intercom_user_id": "<string>",
"community_ids": "<array>"
}
}
}Organization & Users
Update a user
PATCH
/
api
/
v1
/
users
/
{user_id}
Update a user
Autorisierungen
The access token received from the authorization server in the OAuth 2.0 flow.
Pfadparameter
The user identifier.
Abfrageparameter
Organization ID
Body
application/vnd.api+json
A team member/admin user who manages resources and bookings.
Show child attributes
Show child attributes
Antwort
200 - application/vnd.api+json
OK
A team member/admin user who manages resources and bookings.
Show child attributes
Show child attributes
⌘I